## fwupd-signed 1.6+1.2.5-1~somerville1

=== Makefile ===
include /usr/share/dpkg/default.mk

EFI_NAME := UNKNOWN-EFI-NAME

ifeq ($(DEB_HOST_ARCH),amd64)
EFI_NAME := x64
endif

ifeq ($(DEB_HOST_ARCH),i386)
EFI_NAME := ia32
endif

ifeq ($(DEB_HOST_ARCH),arm64)
EFI_NAME := aa64
endif

ifeq ($(DEB_HOST_ARCH),armhf)
EFI_NAME := arm
endif

SIGNED := \
	fwupd$(EFI_NAME).efi.signed \
	$(NULL)

all: $(SIGNED)

$(SIGNED):
	./download-fwupd

install: $(SIGNED)
	install -d $(DESTDIR)/usr/lib/fwupd/efi
	install -m0644 $(SIGNED) version \
		$(DESTDIR)/usr/lib/fwupd/efi/

clean:
	pwd
	# rm -f $(SIGNED) version

## fwupd-signed 1.2

=== debian/changelog ===
fwupd-signed (1.2) cosmic; urgency=medium

  * Build depends on fwupd 1.1.2-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Sep 2018 17:12:53 -0500

fwupd-signed (1.1) cosmic; urgency=medium

  * Correct a typo on the download package name.
  * Build depends on fwupd 1.1.1-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 15 Aug 2018 08:57:33 -0500

fwupd-signed (1.0) cosmic; urgency=medium

  * Initial release.
    - This is a package to support the signing of the EFI bianry now contained
      directly in the fwupd package.
    - The binary does not need to be installed to the EFI system partition at
      package installation like fwupdate, but will instead be directly copied
      at runtime only when needed.

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 04 Aug 2018 23:19:00 -0500

=== debian/control ===
Source: fwupd-signed
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.1.2-1)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

Package: fwupd-signed
Architecture: amd64 i386 armhf arm64
Multi-Arch: foreign
Depends: ${misc:Depends}, fwupd (= ${fwupd:Version})
Recommends: secureboot-db
Built-Using: fwupd (= ${fwupd:Version})
Description: Linux Firmware Updater EFI signed binary
 fwupd provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package contains a version of the fwupd binary signed with
 Canonical's UEFI signing key.

## fwupd-signed 1.2.0ubuntu0.1

=== debian/changelog ===
fwupd-signed (1.2.0ubuntu0.1) cosmic; urgency=medium

  * Build-depends on fwupd 1.1.2-1ubuntu0.18.10.1 (lp: #1814341)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Mar 2019 17:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.1.2-1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.1.2-1ubuntu0.18.10.1)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.6

=== debian/changelog ===
fwupd-signed (1.6) disco; urgency=medium

  * Build depends fwupd 1.2.5-1ubuntu1

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 11 Apr 2019 10:26:10 -0400

fwupd-signed (1.5) disco; urgency=medium

  * Build depends on fwupd 1.2.4-3

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 14 Feb 2019 21:53:17 -0600

fwupd-signed (1.4) disco; urgency=medium

  * Build depends on fwupd 1.2.4-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 06 Feb 2019 21:50:54 -0600

fwupd-signed (1.3) disco; urgency=medium

  * Build depends on fwupd 1.1.4-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 12 Nov 2018 10:09:23 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.1.2-1ubuntu0.18.10.1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.5-1ubuntu1)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.6+1.2.5-1~somerville1

=== debian/changelog ===
fwupd-signed (1.6+1.2.5-1~somerville1) bionic; urgency=medium

  * Build depends fwupd 1.2.5-1~somerville1

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Wed, 31 Jul 2019 15:24:25 +0800

=== debian/control ===
Source: fwupd-signed
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.5-1~somerville1)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

Package: fwupd-signed
Architecture: amd64
Multi-Arch: foreign
Depends: ${misc:Depends}, fwupd (=1.2.5-1~somerville1)
Recommends: secureboot-db
Built-Using: fwupd (= 1.2.5-1~somerville1)
Description: Linux Firmware Updater EFI signed binary
 fwupd provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package contains a version of the fwupd binary signed with
 Canonical's UEFI signing key.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

EFIDIR ?= $(shell dpkg-vendor --query vendor | awk '{ print tolower($$0) }')

%:
	dh $@

destdir := debian/fwupd-signed
docdir  := $(destdir)/usr/share/doc/fwupd-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	# ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat version) \
		-Vfwupd:Version=$(shell cat version)

override_dh_auto_install:
	dh_auto_install --destdir=$(destdir)

## fwupd-signed 1.10~ubuntu18.04.3

=== debian/changelog ===
fwupd-signed (1.10~ubuntu18.04.3) bionic; urgency=medium

  * Upload to bionic, Build-Depends on the current fwupd version
    (LP: #1820768)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 21 Jan 2020 17:37:35 +0100

fwupd-signed (1.10~ubuntu18.04.2) bionic; urgency=medium

  * Upload to bionic, Build-Depends on the current fwupd version
    (LP: #1820768)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Dec 2019 11:46:58 +0200

fwupd-signed (1.10) eoan; urgency=medium

  * Build depends on fwupd 1.2.10-1ubuntu2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Oct 2019 16:34:54 +0200

fwupd-signed (1.9) eoan; urgency=medium

  * Build depends on fwupd 1.2.10-1ubuntu1

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 15 Jul 2019 14:16:05 -0500

fwupd-signed (1.8) eoan; urgency=medium

  * Build depends on fwupd 1.2.9-1ubuntu1

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 12 Jul 2019 16:17:27 -0500

fwupd-signed (1.7) eoan; urgency=medium

  * Build-depends fwupd 1.2.6-1ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 May 2019 17:57:11 -0700

=== debian/control ===
Source: fwupd-signed
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu2~ubuntu18.04.3)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

Package: fwupd-signed
Architecture: amd64 i386 armhf arm64
Multi-Arch: foreign
Depends: ${misc:Depends}, fwupd (= ${fwupd:Version})
Recommends: secureboot-db
Built-Using: fwupd (= ${fwupd:Version})
Description: Linux Firmware Updater EFI signed binary
 fwupd provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package contains a version of the fwupd binary signed with
 Canonical's UEFI signing key.

## fwupd-signed 1.10~ubuntu18.04.4

=== Makefile ===
--- 
+++ 
@@ -33,5 +33,4 @@
 		$(DESTDIR)/usr/lib/fwupd/efi/
 
 clean:
-	pwd
-	# rm -f $(SIGNED) version
+	rm -f $(SIGNED) version

=== debian/changelog ===
fwupd-signed (1.10~ubuntu18.04.4) bionic; urgency=medium

  * Build depends on current fwupd version 1.2.10-1ubuntu2~ubuntu18.04.5

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 15 Jun 2020 13:48:34 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu2~ubuntu18.04.3)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu2~ubuntu18.04.5)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.10~ubuntu18.04.6

=== debian/changelog ===
fwupd-signed (1.10~ubuntu18.04.6) bionic; urgency=medium

  * Build depends on fwupd version 1.2.14-0~18.04.2. (LP: #1921539)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 31 Aug 2021 17:50:22 +0800

fwupd-signed (1.10~ubuntu18.04.5) bionic; urgency=medium

  * Build depends on fwupd version 1.2.14-0~18.04.1
    - LP: #1921544
    - LP: #1921539
    - LP: #1884788
    - LP: #1858590

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Mar 2021 13:49:43 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu2~ubuntu18.04.5)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.14-0~18.04.2)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.10

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.14-0~18.04.2)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu2)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.10.2

=== debian/changelog ===
fwupd-signed (1.10.2) eoan; urgency=medium

  * Build depends on fwupd 1.2.10-1ubuntu4 (LP: #1856896, LP: #1858590)

 -- dann frazier <dannf@ubuntu.com>  Mon, 13 Jan 2020 12:19:08 -0700

fwupd-signed (1.10.1) eoan; urgency=medium

  * Build depends on fwupd 1.2.10-1ubuntu3 (LP: #1852485)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 02 Dec 2019 11:44:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu2)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu4)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.10.3ubuntu1

=== debian/changelog ===
fwupd-signed (1.10.3ubuntu1) eoan; urgency=medium

  * Build depends on fwupd version 1.2.10-1ubuntu4.1 (LP: #1883595)

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 15 Jun 2020 17:03:25 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu4)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu4.1)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.25

=== debian/changelog ===
fwupd-signed (1.25) focal; urgency=medium

  * No change rebuild to match fwupd

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Mar 2020 16:45:03 +0100

fwupd-signed (1.24) focal; urgency=medium

  * Build depend on fwupd 1.3.9-2

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 12 Mar 2020 21:19:15 -0500

fwupd-signed (1.23) focal; urgency=medium

  * No change rebuild

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Mar 2020 09:48:26 +0100

fwupd-signed (1.22) focal; urgency=medium

  * Build depend on fwupd 1.3.9-1
  * Update location from /usr/lib to /usr/libexec

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 04 Mar 2020 11:02:03 -0600

fwupd-signed (1.21) focal; urgency=medium

  * Build depend on fwupd 1.3.8-1
  * Update standards version

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 14 Feb 2020 10:23:25 -0600

fwupd-signed (1.20) focal; urgency=medium

  * Build depend on fwupd 1.3.7-3

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Feb 2020 13:16:03 -0600

fwupd-signed (1.19) focal; urgency=medium

  * Build depend on fwupd 1.3.7-2

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 02 Feb 2020 08:44:21 -0600

fwupd-signed (1.18) focal; urgency=medium

  * Build depend on fwupd 1.3.7-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 31 Jan 2020 11:18:45 -0600

fwupd-signed (1.17) focal; urgency=medium

  * No change rebuild.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 09 Jan 2020 16:36:48 -0600

fwupd-signed (1.16ubuntu1) focal; urgency=medium

  * Build depends on fwupd 1.3.6-1ubuntu1

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 08 Jan 2020 21:58:46 -0600

fwupd-signed (1.16) focal; urgency=medium

  * Build depends on fwupd 1.3.6-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 30 Dec 2019 18:08:29 -0600

fwupd-signed (1.15) focal; urgency=medium

  * Build depends on fwupd 1.3.5-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 06 Dec 2019 08:45:30 -0600

fwupd-signed (1.14) focal; urgency=medium

  * Build depends on fwupd 1.3.4-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 22 Nov 2019 12:42:43 -0600

fwupd-signed (1.13) focal; urgency=medium

  * Build depends on fwupd 1.3.3-3

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 12 Nov 2019 12:58:07 -0600

fwupd-signed (1.12) focal; urgency=medium

  * Build depends on fwupd 1.3.3-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 03 Nov 2019 13:41:53 -0600

fwupd-signed (1.11) focal; urgency=medium

  * Build depends on fwupd 1.3.2-5

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 26 Oct 2019 19:14:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.2.10-1ubuntu4.1)
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.3.9-2)
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.27

=== debian/changelog ===
fwupd-signed (1.27) focal; urgency=medium

  * Build depend on fwupd 1.3.9-4

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 01 Apr 2020 15:12:45 -0500

fwupd-signed (1.26) focal; urgency=medium

  * Build depend on fwupd 1.3.9-3

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 23 Mar 2020 09:43:42 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.3.9-2)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.3.9-4)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_installchangelogs
 	# Quieten lintian, which otherwise gets confused by our odd version
 	# number.
-	# ln $(docdir)/changelog $(docdir)/changelog.Debian
+	ln $(docdir)/changelog $(docdir)/changelog.Debian
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat version) \

## fwupd-signed 1.27.1ubuntu1

=== debian/changelog ===
fwupd-signed (1.27.1ubuntu1) focal; urgency=medium

  * Build depend on fwupd version 1.3.9-4ubuntu0.1 (LP: #1883595)

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 15 Jun 2020 17:05:12 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.3.9-4)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.3.9-4ubuntu0.1)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.30

=== debian/changelog ===
fwupd-signed (1.30) groovy; urgency=medium

  * Build depend on fwupd 1.4.5-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 30 Jul 2020 09:07:25 -0500

fwupd-signed (1.29) groovy; urgency=medium

  * Build depend on fwupd 1.3.11-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 18 Jun 2020 11:02:36 -0500

fwupd-signed (1.28) groovy; urgency=medium

  * Build depend on fwupd 1.3.10-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 09 Jun 2020 10:07:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.3.9-4ubuntu0.1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.4.5-1)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.30.2

=== debian/changelog ===
fwupd-signed (1.30.2) groovy; urgency=medium

  * Build depend on fwupd 1.4.7-0~20.10.2 (LP: #1926011)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 17 May 2021 12:22:51 +0000

fwupd-signed (1.30.1) groovy; urgency=medium

  * Build depend on fwupd 1.4.7-0~20.10.1
    - LP: #1921544
    - LP: #1921539
    - LP: #1909734
    - LP: #1886912
    - LP: #1900935

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Mar 2021 14:04:01 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.4.5-1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.4.7-0~20.10.2)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.38

=== debian/changelog ===
fwupd-signed (1.38) hirsute; urgency=medium

  * Build depends on fwupd 1.5.8-0ubuntu1

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Mar 2021 14:12:54 -0500

fwupd-signed (1.37) hirsute; urgency=medium

  * Build depends on fwupd 1.5.7-3

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 15:50:41 +0000

fwupd-signed (1.36) hirsute; urgency=medium

  * Build depends on fwupd 1.5.7-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 23 Feb 2021 10:42:23 -0600

fwupd-signed (1.35) hirsute; urgency=medium

  * Build depends on fwupd 1.5.6-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 16 Feb 2021 11:37:49 -0600

fwupd-signed (1.34) hirsute; urgency=medium

  * Build depends on fwupd 1.5.5-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 19 Jan 2021 12:59:35 -0600

fwupd-signed (1.33) hirsute; urgency=medium

  * Build depensd on fwupd 1.5.3-1

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 08 Dec 2020 09:48:15 -0600

fwupd-signed (1.32) hirsute; urgency=medium

  * Build-depend on fwupd 1.5.1-5build1

 -- Sebastien Bacher <seb128@debian.org>  Wed, 25 Nov 2020 16:10:51 +0100

fwupd-signed (1.31) hirsute; urgency=medium

  * Build depend on fwupd 1.5.1-3

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Nov 2020 12:48:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.4.7-0~20.10.2)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.5.8-0ubuntu1)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.38.1

=== debian/changelog ===
fwupd-signed (1.38.1) hirsute; urgency=medium

  * Build depends on fwupd 1.5.11-0ubuntu1~21.04.1

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 19 Jul 2021 15:23:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.5.8-0ubuntu1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.5.11-0ubuntu1~21.04.1)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.40

=== debian/changelog ===
fwupd-signed (1.40) impish; urgency=medium

  * Build depends on fwupd 1.5.11-0ubuntu2

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Jul 2021 10:36:10 +0200

fwupd-signed (1.39) impish; urgency=medium

  * Build depends on fwupd 1.5.11-0ubuntu1

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Thu, 01 Jul 2021 09:21:56 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.5.11-0ubuntu1~21.04.1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd (>= 1.5.11-0ubuntu2)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.42~ubuntu21.10.2

=== debian/changelog ===
fwupd-signed (1.42~ubuntu21.10.2) impish; urgency=medium

  * remove fwupd-unsigned from the Recommends of fwupd-signed.
    This is backported from v1.43 (LP: #1960783)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Wed, 16 Feb 2022 19:14:12 +0800

fwupd-signed (1.42~ubuntu21.10.1) impish; urgency=medium

  [ Yuan-Chen Cheng ]
  * backport for impish. (LP: #1949412, LP: #1955386)

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control: adjust the fwupd-unsigned dependency to support
    source-copy backports (>= 1.1-3~ instead of 1.1-3).

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 08 Feb 2022 13:11:09 +0800

fwupd-signed (1.42) jammy; urgency=medium

  * Adjust dependency requirements.  Since the package is decoupled from
    fwupd now, the version it needs to depend on doesn't need to match
    the package version.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 06 Jan 2022 09:47:50 -0600

fwupd-signed (1.41) jammy; urgency=medium

  * Build depends on fwupd-unsigned 1:1.1-3 (LP: #1955386)
  * Adjust download script to download candidate version instead of from
    "current" symlink

 -- Mario Limonciello <superm1@gmail.com>  Tue, 04 Jan 2022 12:06:48 -0600

=== debian/control ===
Source: fwupd-signed
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.1-3~)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

Package: fwupd-signed
Architecture: amd64 i386 armhf arm64
Multi-Arch: foreign
Depends: ${misc:Depends},
Recommends: secureboot-db, fwupd
Built-Using: fwupd-unsigned (= ${fwupd:Version})
Description: Linux Firmware Updater EFI signed binary
 fwupd provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package contains a version of the fwupd binary signed with
 Canonical's UEFI signing key.

## fwupd-signed 1.44

=== Makefile ===
--- 
+++ 
@@ -28,9 +28,9 @@
 	./download-fwupd
 
 install: $(SIGNED)
-	install -d $(DESTDIR)/usr/lib/fwupd/efi
+	install -d $(DESTDIR)/usr/libexec/fwupd/efi
 	install -m0644 $(SIGNED) version \
-		$(DESTDIR)/usr/lib/fwupd/efi/
+		$(DESTDIR)/usr/libexec/fwupd/efi/
 
 clean:
 	rm -f $(SIGNED) version

=== debian/changelog ===
fwupd-signed (1.44) jammy; urgency=medium

  * Built-Using must reference the source package, not binary packages.
  * Manually include the epoch in the version number for Built-Using,
    since for some reason this is not included in the version file published
    for the EFI binaries.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Apr 2022 17:28:12 +0000

fwupd-signed (1.43) jammy; urgency=medium

  * remove fwupd-unsigned from Recommends of fwupd-signed deb. (LP: #1960783)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 14 Feb 2022 14:02:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.1-3~)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.1-3)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed
@@ -12,7 +12,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
 Recommends: secureboot-db, fwupd
-Built-Using: fwupd-unsigned (= ${fwupd:Version})
+Built-Using: fwupd-efi (= ${fwupd:Version})
 Description: Linux Firmware Updater EFI signed binary
  fwupd provides functionality to update system firmware. It has been 
  initially designed to update firmware using UEFI capsule updates, but

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat version) \
-		-Vfwupd:Version=$(shell cat version)
+		-Vfwupd:Version=1:$(shell cat version)
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(destdir)

## fwupd-signed 1.51~20.04.1

=== debian/changelog ===
fwupd-signed (1.51~20.04.1) focal; urgency=medium

  * Remove i386 and armhf from the architecture list
  * Check that we are signing the correct version of fwupd and it is not revoked

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 26 Jan 2023 16:52:24 +0100

fwupd-signed (1.48) lunar; urgency=medium

  [ Julian Andres Klode ]
  * Rebuild for 2022v1 resigning (LP: #2003365)

  [ Andy Whitcroft ]
  * Fix signing artifact download when faced with an authenticated archive
    pool.  Switch to using common download-signed from grub2/kernel.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 23 Jan 2023 16:28:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.1-3)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.2-3ubuntu0), sbsigntool
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed
 
 Package: fwupd-signed
-Architecture: amd64 i386 armhf arm64
+Architecture: amd64 arm64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
 Recommends: secureboot-db, fwupd

## fwupd-signed 1.51.1~18.04.1

=== Makefile ===
--- 
+++ 
@@ -18,19 +18,29 @@
 EFI_NAME := arm
 endif
 
+LIBEXEC := libexec
+ifeq ($(DEB_DISTRIBUTION), bionic)
+LIBEXEC := lib
+endif
+
 SIGNED := \
-	fwupd$(EFI_NAME).efi.signed \
+	current/fwupd$(EFI_NAME).efi.signed \
 	$(NULL)
 
 all: $(SIGNED)
 
 $(SIGNED):
-	./download-fwupd
+	./download-signed fwupd-unsigned current fwupd uefi
+
+check: $(SIGNED)
+	cat current/version
+	cmp /usr/libexec/fwupd/efi/fwupd$(EFI_NAME).efi current/fwupd$(EFI_NAME).efi
+	./is-not-revoked current/*.efi.signed
 
 install: $(SIGNED)
-	install -d $(DESTDIR)/usr/libexec/fwupd/efi
-	install -m0644 $(SIGNED) version \
-		$(DESTDIR)/usr/libexec/fwupd/efi/
+	install -d $(DESTDIR)/usr/$(LIBEXEC)/fwupd/efi
+	install -m0644 $(SIGNED) current/version \
+		$(DESTDIR)/usr/$(LIBEXEC)/fwupd/efi/
 
 clean:
-	rm -f $(SIGNED) version
+	rm -rf current/

=== debian/changelog ===
fwupd-signed (1.51.1~18.04.1) bionic; urgency=medium

  * Rebuild against fwupd-efi 1:1.4-0ubuntu0.1 (LP: #2011808)
  * Install binaries to /usr/lib/fwupd on bionic for compatibility with
    fwupd 1.2.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Mar 2023 13:32:57 +0100

fwupd-signed (1.51) lunar; urgency=medium

  * Remove i386 and armhf from the architecture list
  * Check that we are signing the correct version of fwupd and it is not revoked

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 26 Jan 2023 16:52:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 	ln $(docdir)/changelog $(docdir)/changelog.Debian
 
 override_dh_gencontrol:
-	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat version) \
-		-Vfwupd:Version=1:$(shell cat version)
+	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat current/version) \
+		-Vfwupd:Version=1:$(shell cat current/version)
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(destdir)

## fwupd-signed 1.51.1~20.04.1

=== debian/changelog ===
fwupd-signed (1.51.1~20.04.1) focal; urgency=medium

  * Rebuild against fwupd-efi 1:1.4-0ubuntu0.1 (LP: #2011808)
  * Install binaries to /usr/lib/fwupd on bionic for compatibility with
    fwupd 1.2.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Mar 2023 13:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.2-3ubuntu0), sbsigntool
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.4-0), sbsigntool
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.51.1~22.04.1

=== debian/changelog ===
fwupd-signed (1.51.1~22.04.1) jammy; urgency=medium

  * Rebuild against fwupd-efi 1:1.4-0ubuntu0.1 (LP: #2011808)
  * Install binaries to /usr/lib/fwupd on bionic for compatibility with
    fwupd 1.2.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Mar 2023 13:32:57 +0100

## fwupd-signed 1.51.1

=== debian/changelog ===
fwupd-signed (1.51.1) kinetic; urgency=medium

  * Rebuild against fwupd-efi 1:1.4-0ubuntu0.1 (LP: #2011808)
  * Install binaries to /usr/lib/fwupd on bionic for compatibility with
    fwupd 1.2.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Mar 2023 13:32:57 +0100

## fwupd-signed 1.52

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,6 @@
 EFI_NAME := arm
 endif
 
-LIBEXEC := libexec
-ifeq ($(DEB_DISTRIBUTION), bionic)
-LIBEXEC := lib
-endif
-
 SIGNED := \
 	current/fwupd$(EFI_NAME).efi.signed \
 	$(NULL)
@@ -38,9 +33,9 @@
 	./is-not-revoked current/*.efi.signed
 
 install: $(SIGNED)
-	install -d $(DESTDIR)/usr/$(LIBEXEC)/fwupd/efi
+	install -d $(DESTDIR)/usr/libexec/fwupd/efi
 	install -m0644 $(SIGNED) current/version \
-		$(DESTDIR)/usr/$(LIBEXEC)/fwupd/efi/
+		$(DESTDIR)/usr/libexec/fwupd/efi/
 
 clean:
 	rm -rf current/

=== debian/changelog ===
fwupd-signed (1.52) lunar; urgency=medium

  * Rebuild against fwupd-efi 1:1.4-1 (LP: #2009593)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Mar 2023 13:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.4-0), sbsigntool
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.4-1), sbsigntool
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.54

=== debian/changelog ===
fwupd-signed (1.54) oracular; urgency=medium

  * Rebuild against fwupd-efi 1:1.6-1build1 (LP: #2060197)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 14 Jun 2024 15:31:14 +0200

fwupd-signed (1.53) oracular; urgency=medium

  * Rebuild against fwupd-efi 1:1.6-1 (LP: #2060197)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 03 Jun 2024 17:15:30 +0200

fwupd-signed (1.52build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:58:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.4-1), sbsigntool
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.6-1build1), sbsigntool
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed

## fwupd-signed 1.55

=== debian/changelog ===
fwupd-signed (1.55) plucky; urgency=medium

  * Rebuild against fwupd-efi 1:1.7-1 (LP: #2088429)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 18 Nov 2024 09:06:20 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.6-1build1), sbsigntool
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupd-unsigned (>= 1:1.7-1), sbsigntool
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd-signed.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-signed
